﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ title }} - CATALYST Access Manager</title>
    {% load staticfiles %}
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/site.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap.min.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap.vertical-tabs.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/datatables.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/plot.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/dropdown-with-submenu.css' %}" />
    <link rel="shortcut icon" type="image/png" href="{% static 'app/images/g.png' %}" >
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/sweetalert/sweetalert.css' %}" />

    <script src="{% static 'app/scripts/modernizr-2.6.2.js' %}"></script>
    <script src="{% static 'app/scripts/jquery-1.10.2.js' %}"></script>
    <script src="{% static 'app/scripts/bootstrap.js' %}"></script>
    <script src="{% static 'app/scripts/respond.js' %}"></script>
    <script src="{% static 'app/scripts/sweetalert/sweetalert.min.js' %}"></script>
    <script src="{% static 'app/scripts/utilities.js' %}"></script>
</head>
<style>
    #select_hold1 {
        display: inline-block;
    }
    #intra_hold1{
        display: inline-block;
    }
    #table_panel{
        width: 500px;
    height: 300px;
    position: absolute;
    top:0;
    bottom: 0;
    left: 50%;
    right: 0;
    margin: auto;
    }​
    #table_panel_profile{
    display: inline-block;
    top:0;
    bottom: 0;
    width: 300px;
    right: 0;
    margin: auto;
    }   ​




</style>



<body lang="en-GB">

    <script type="text/javascript">

        var user_markets = null
        var actor = null
        try {
            user_markets = JSON.parse(JSON.parse("{{ user_markets | safe | escapejs }}"));
            actor = JSON.parse("{{ actor | safe | escapejs }}")
        }
        catch(err){}
        // The Market Variants for which the user is registered

        var energy_market = " <li id=\"energy-marketplace-dropdown\" class=\"dropdown dropdown-toggle\">" +
                                        " <a  href=\"{% url 'marketplaces' %}\">Electricity</a>" +
                                        " <ul class=\"dropdown-menu\" role=\"menu\">" +
                                           " <li><a href=\"{% url 'day_ahead' %}\">Day Ahead</a></li>" +
                                           " <li><a href=\"{% url 'intra_day' %}\">Intra Day</a></li>" +
                                       " </ul>" +
                         "</li>";

        var heat_market = "<li id=\"heat-marketplace-dropdown\" class=\"dropdown dropdown-toggle\">\n" +
        "                                    <a href=\"{% url 'heat_marketplace' %}\">Heat</a>\n" +
        "                                    <ul class=\"dropdown-menu\" role=\"menu\">\n" +
        "                                        <li><a href=\"{% url 'heat_day_ahead' %}\">Day Ahead</a></li>\n" +
        "                                        <li><a href=\"{% url 'heat_intra_day' %}\">Intra Day</a></li>\n" +
        "                                    </ul>\n" +
        "                                </li>";


        var it_load_market =  "               <li id=\"it_load-marketplace-dropdown\" class=\"dropdown dropdown-toggle\">\n" +
        "                                    <a href=\"{% url 'it_load_marketplace' %}\">IT Load</a>\n" +
        "                                    <ul class=\"dropdown-menu\" role=\"menu\">\n" +
        "                                        <li><a href=\"{% url 'it_load_day_ahead' %}\">Day Ahead</a></li>\n" +
        "                                        <li><a href=\"{% url 'it_load_intra_day' %}\">Intra Day</a></li>\n" +
        "                                    </ul>\n" +
        "                                </li>";


        var flexibility_market = "           <li id=\"flexibility-marketplace-dropdown\" class=\"dropdown dropdown-toggle\">\n" +
        "                                    <a href=\"{% url 'ancillary_marketplaces' %}\">Flexibility</a>\n" +
        "                                    <ul class=\"dropdown-menu multi-level\" role=\"menu\">\n" +
        "\n" +
        "                                        <li class=\"dropdown-submenu\">\n" +
        "                                            <a href=\"{% url 'reactive_power_compensation_service_no_timeframe'%}\">Reactive power compensation</a>\n" +
        "\n" +
        "                                            <ul class=\"dropdown-menu\">\n" +
        "                                                 <li><a href=\"{% url 'reactive_power_compensation_service_day_ahead' %}\">Day ahead</a></li>\n" +
        "                                                 <li><a href=\"{% url 'reactive_power_compensation_service_intra_day' %}\">Intra day</a></li>\n" +
        "                                            </ul>\n" +
        "\n" +
        "                                        </li>\n" +
        "\n" +
        "                                        <li class=\"dropdown-submenu\">\n" +
        "                                            <a href=\"{% url 'congestion_management_service_no_timeframe' %}\">Congestion management</a>\n" +
        "\n" +
        "                                              <ul class=\"dropdown-menu\">\n" +
        "                                                 <li><a href=\"{% url 'congestion_management_service_day_ahead' %}\">Day ahead</a></li>\n" +
        "                                                 <li><a href=\"{% url 'congestion_management_service_intra_day' %}\">Intra day</a></li>\n" +
        "                                             </ul>\n" +
        "\n" +
        "                                        </li>\n" +
        "\n" +
        "\n" +
        "                                        <li class=\"dropdown-submenu\">\n" +
        "\n" +
        "                                            <a href=\"{% url 'spinning_reserve_service_no_timeframe'%}\">Spinning reserve capacity</a>\n" +
        "\n" +
        "                                            <ul class=\"dropdown-menu\">\n" +
        "                                                 <li><a href=\"{% url 'spinning_reserve_service_day_ahead' %}\">Day ahead</a></li>\n" +
        "                                                 <li><a href=\"{% url 'spinning_reserve_service_intra_day' %}\">Intra day</a></li>\n" +
        "                                             </ul>\n" +
        "\n" +
        "                                        </li>\n" +
        "\n" +
        "\n" +
        "                                        <li class=\"dropdown-submenu\">\n" +
        "                                            <a href=\"{% url 'scheduling_service_no_timeframe'%}\">Scheduling</a>\n" +
        "\n" +
        "                                            <ul class=\"dropdown-menu\">\n" +
        "                                                 <li><a href=\"{% url 'scheduling_service_day_ahead' %}\">Day ahead</a></li>\n" +
        "                                                 <li><a href=\"{% url 'scheduling_service_intra_day' %}\">Intra day</a></li>\n" +
        "                                             </ul>\n" +
        "\n" +
        "                                        </li>\n" +
        "\n" +
        "                                    </ul>\n" +
        "                                </li>";


        // History page

        var history_tab ="<li  id=\"history-dropdown\" class=\"dropdown dropdown-toggle\">\n" +
            "    <a href=\"{% url 'history' %}\">History</a>\n" +
            "    <ul id=\"history-dropdown-menu\" class=\"dropdown-menu\" role=\"menu\">\n" +
            "    </ul>\n" +
            "</li>";
        var correlations_tab = "<li id=\"correlations-dropdown\" class=\"dropdown dropdown-toggle\">\n" +
            "    <a href=\"{% url 'correlations' %}\">Correlations</a>\n" +
            "    <ul id=\"correlations-dropdown-menu\" class=\"dropdown-menu\" role=\"menu\">\n" +
            "    </ul>\n" +
            "</li>";


        var electric_energy_history = "<li><a href=\"{% url 'history_energy' %}\">Electricity</a></li>\n";
        var thermal_energy_history = "<li><a href=\"{% url 'history_heat' %}\">Heat</a></li>\n";
        var it_load_history = "<li><a href=\"{% url 'history_it_load' %}\">IT Load</a></li>\n";
        var ancillary_services_history = "<li><a href=\"{% url 'history_ancillary' %}\">Flexibility</a></li>\n";
        var correlations_history = "<li><a href=\"{% url 'history_correlations' %}\">Correlations</a></li>\n";

        var correlations_edit = "<li><a href=\"{% url 'update_correlations' %}\">View active correlations</a></li>\n";
        var correlations_create =  "<li><a href=\"{% url 'correlations' %}\">Create correlations</a></li>\n";

        var electric_energy_history_left_tab = "<li id=\"energy_tab\" role=\"presentation\" class=\"vertical_tab\"><a href=\"{% url 'history_energy' %}\">Electricity</a></li>";
        var thermal_energy_history_left_tab = "<li id=\"heat_tab\" role=\"presentation\" class=\"vertical_tab\"><a href=\"{% url 'history_heat' %}\">Heat</a></li>";
        var it_load_history_left_tab = "<li id=\"itLoad_tab\" role=\"presentation\" class=\"vertical_tab\"><a href=\"{% url 'history_it_load' %}\">IT Load</a></li>";
        var ancillary_services_history_left_tab = "<li id=\"ancillary_tab\" role=\"presentation\" class=\"vertical_tab\"><a href=\"{% url 'history_ancillary' %}\">Flexibility</a></li>";


        // Invoice page
        var invoice_tab = "<li id=\"invoices-dropdown\" class=\"dropdown dropdown-toggle\">\n" +
            "    <a href=\"{% url 'invoices' %}\">Invoices</a>\n" +
            "    <ul id=\"invoice-dropdown-menu\" class=\"dropdown-menu\" role=\"menu\">\n" +
            "    </ul>\n" +
            "</li>";

        var electric_energy_invoices = "<li><a href=\"{% url 'invoices_energy' %}\">Electricity</a></li>\n";
        var thermal_energy_invoices = "<li><a href=\"{% url 'invoices_heat' %}\">Heat</a></li>\n";
        var it_load_invoices = "<li><a href=\"{% url 'invoices_it_load' %}\">IT Load</a></li>\n";
        var ancillary_services_invoices = "<li><a href=\"{% url 'invoices_ancillary' %}\">Flexibility</a></li>\n";

        var electric_energy_invoices_left_tab = "<li id=\"energy_tab\" role=\"presentation\" class=\"vertical_tab\"><a href=\"{% url 'invoices_energy' %}\">Electricity</a></li>";
        var thermal_energy_invoices_left_tab = "<li id=\"heat_tab\" role=\"presentation\" class=\"vertical_tab\"><a href=\"{% url 'invoices_heat' %}\">Heat</a></li>";
        var it_load_invoices_left_tab = "<li id=\"itLoad_tab\" role=\"presentation\" class=\"vertical_tab\"><a href=\"{% url 'invoices_it_load' %}\">IT Load</a></li>";
        var ancillary_services_invoices_left_tab = "<li id=\"ancillary_tab\" role=\"presentation\" class=\"vertical_tab\"><a href=\"{% url 'invoices_ancillary' %}\">Flexibility </a></li>";

        </script>

    <div  class="mWrapper">
        <center>
            <div class="container" >
                <div class="row" style="vertical-align:middle;">
                    <div  class="col-sm-3 col-xs-3 col-md-3 col-lg-3" >
                        <div class="logo">
                            <a href="{% url 'home' %}"><img src="{% static 'app/images/logo.png' %}" alt="CATALYST Marketplace"></a>
                        </div>
                    </div>
                    <div class="col-sm-9 col-xs-9 col-md-9 col-lg-9">
                        <nav class="mainMenu">
                            <ul id="nav-market-list">
{#                                <li id="energy-marketplace-dropdown" class="dropdown dropdown-toggle">#}
{#                                    <a href="{% url 'marketplaces' %}">Electricity</a>#}
{#                                    <ul class="dropdown-menu" role="menu">#}
{#                                        <li><a href="{% url 'day_ahead' %}">Day Ahead</a></li>#}
{#                                        <li><a href="{% url 'intra_day' %}">Intra Day</a></li>#}
{#                                    </ul>#}
{#                                </li>#}
{#                                <li id="heat-marketplace-dropdown" class="dropdown dropdown-toggle">#}
{#                                    <a href="{% url 'heat_marketplace' %}">Heat</a>#}
{#                                    <ul class="dropdown-menu" role="menu">#}
{#                                        <li><a href="{% url 'heat_day_ahead' %}">Day Ahead</a></li>#}
{#                                        <li><a href="{% url 'heat_intra_day' %}">Intra Day</a></li>#}
{#                                    </ul>#}
{#                                </li>#}
{#                                <li id="it_load-marketplace-dropdown" class="dropdown dropdown-toggle">#}
{#                                    <a href="{% url 'it_load_marketplace' %}">IT Load</a>#}
{#                                    <ul class="dropdown-menu" role="menu">#}
{#                                        <li><a href="{% url 'it_load_day_ahead' %}">Day Ahead</a></li>#}
{#                                        <li><a href="{% url 'it_load_intra_day' %}">Intra Day</a></li>#}
{#                                    </ul>#}
{#                                </li>#}
{#                                <li id="flexibility-marketplace-dropdown" class="dropdown dropdown-toggle">#}
{#                                    <a href="{% url 'ancillary_marketplaces' %}">Flexibility</a>#}
{#                                    <ul class="dropdown-menu multi-level" role="menu">#}
{##}
{#                                        <li class="dropdown-submenu">#}
{#                                            <a href="{% url 'reactive_power_compensation_service_no_timeframe'%}">Reactive power compensation</a>#}
{##}
{#                                            <ul class="dropdown-menu">#}
{#                                                 <li><a href="{% url 'reactive_power_compensation_service_day_ahead' %}">Day ahead</a></li>#}
{#                                                 <li><a href="{% url 'reactive_power_compensation_service_intra_day' %}">Intra day</a></li>#}
{#                                            </ul>#}
{##}
{#                                        </li>#}
{##}
{#                                        <li class="dropdown-submenu">#}
{#                                            <a href="{% url 'congestion_management_service_no_timeframe' %}">Congestion management</a>#}
{##}
{#                                              <ul class="dropdown-menu">#}
{#                                                 <li><a href="{% url 'congestion_management_service_day_ahead' %}">Day ahead</a></li>#}
{#                                                 <li><a href="{% url 'congestion_management_service_intra_day' %}">Intra day</a></li>#}
{#                                             </ul>#}
{##}
{#                                        </li>#}
{##}
{##}
{#                                        <li class="dropdown-submenu">#}
{##}
{#                                            <a href="{% url 'spinning_reserve_service_no_timeframe'%}">Spinning reserve capacity</a>#}
{##}
{#                                            <ul class="dropdown-menu">#}
{#                                                 <li><a href="{% url 'spinning_reserve_service_day_ahead' %}">Day ahead</a></li>#}
{#                                                 <li><a href="{% url 'spinning_reserve_service_intra_day' %}">Intra day</a></li>#}
{#                                             </ul>#}
{##}
{#                                        </li>#}
{##}
{##}
{#                                        <li class="dropdown-submenu">#}
{#                                            <a href="{% url 'scheduling_service_no_timeframe'%}">Scheduling</a>#}
{##}
{#                                            <ul class="dropdown-menu">#}
{#                                                 <li><a href="{% url 'scheduling_service_day_ahead' %}">Day ahead</a></li>#}
{#                                                 <li><a href="{% url 'scheduling_service_intra_day' %}">Intra day</a></li>#}
{#                                             </ul>#}
{##}
{#                                        </li>#}
{##}
{#                                    </ul>#}
{#                                </li>#}
{#                                <li  id="history-dropdown" class="dropdown dropdown-toggle">#}
{#                                    <a href="{% url 'history' %}">History</a>#}
{#                                    <ul id="history-dropdown-menu" class="dropdown-menu" role="menu">#}
{#                                        <li><a href="{% url 'history_energy' %}">Electricity</a></li>#}
{#                                        <li><a href="{% url 'history_heat' %}">Heat</a></li>#}
{#                                        <li><a href="{% url 'history_it_load' %}">IT Load</a></li>#}
{#                                        <li><a href="{% url 'history_ancillary' %}">Flexibility</a></li>#}
{#                                    </ul>#}
{#                                </li>#}
{#                                <li id="invoices-dropdown" class="dropdown dropdown-toggle">#}
{#                                    <a href="{% url 'invoices' %}">Invoices</a>#}
{#                                    <ul id="invoice-dropdown-menu" class="dropdown-menu" role="menu">#}
{#                                        <li><a href="{% url 'invoices_energy' %}">Electricity</a></li>#}
{#                                        <li><a href="{% url 'invoices_heat' %}">Heat</a></li>#}
{#                                        <li><a href="{% url 'invoices_it_load' %}">IT Load</a></li>#}
{#                                        <li><a href="{% url 'invoices_ancillary' %}">Flexibility</a></li>#}
{#                                    </ul>#}
{#                                </li>#}
    {#                            {% if request.session.is_dso or request.session.username == "admin" %}<li><a href="{% url 'smart_grid' %}" class="btn custom-top-menu">Smart Grid</a></li>{% endif %}#}
                                {# <li><a href=""  class="btn disabled">Insights</a></li> #}
                                <li id="about_tab"><a href="{% url 'about' %}">About</a></li>
                                <li id="contact_tab"><a href="{% url 'contact' %}">Contact</a></li>

                                {% if request.session.is_authenticated %}
                                     {% if request.session.actor.marketActorTypeid.type == "market operator" %}
                                        <li id="admin_tab"><a href="{% url 'madmin' %}">Admin <span class="badge" id="mp-pending-requests" style="background: #2EAADD"></span></a></li>
                                     {% else %}
                                        <li id="myprofile" class="dropdown dropdown-toggle">
                                            <a href="{% url 'user_profile' %}">Hi {{ request.session.username }}</a>
                                            <ul class="dropdown-menu" role="menu">
                                                <li><a href="{% url 'user_profile' %}">My profile</a></li>
                                            </ul>
                                        </li>
                                     {% endif %}
                                {% endif %}
                                {% include 'app/loginpartial.html' %}

                                {% if not request.session.is_authenticated %}
                                    <li><a href="{% url 'user_signup' %}">Sign up</a></li>
                                {% endif %}
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </center>
    </div>

    <div class="container body-content">

        {% block content %}{% endblock %}

                <footer>
                    <div class="container footer">
                        <h5>CATALYST - Converting data centres in energy flexibility ecosystems</h5>
                        <p class="note">Work partially supported by the European Union’s Horizon 2020 research and innovation programme under grant agreement No 768739.</p>
                        <p>&copy; {{ year }} - CATALYST Access Manager</p>
                    </div>
                </footer>
    </div>



<script type="text/javascript" src="{% static 'app/scripts/dynamic/load-page-based-on-registered-markets.js' %}"> </script>

{% block scripts %}

{% endblock %}


</body>
</html>
